This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1284371 - [WORM] Rename operation succeeds on a WORM enabled volume after one brick is added
[WORM] Rename operation succeeds on a WORM enabled volume after one brick is ...
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
3.7.6
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Atin Mukherjee
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 02:50 EST by Fang Huang
Modified: 2017-03-08 06:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1283509
Environment:
Last Closed: 2017-03-08 06:03:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fang Huang 2015-11-23 02:50:47 EST
+++ This bug was initially created as a clone of Bug #1283509 +++

Description of problem:

If we expand a new brick to a WORM volume and create some new files, the files located in the new brick can be renamed.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. create a dht volume and enable WORM feature
2. add one brick to the volume
3. fix layout of the volume
4. create some files in the client directory
5. rename files which are located in the new added brick

Actual results:

Mv operation succeeds without any error reported. But the new name and the original name both exists.

Expected results:

Mv operation is not allowed.

Additional info:
Comment 1 Kaushal 2017-03-08 06:03:38 EST
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.

Note You need to log in before you can comment on or make changes to this bug.